jQuery( function( $ ) {
    'use strict';

    window.wc_truevo_payment_request = {
        postMessageToLog: function (message, details = [], is_async = false) {
            let data = {
                'security': wc_truevo_payment_request_params.security,
                'message': message,
                'details': details
            };

            $.ajax({
                type: 'POST',
                url: wc_truevo_payment_request_params.url_add_message_to_log,
                data: data,
                async: is_async
            });
        }
    }
});