jQuery(function($){

    var tooltip_and_description = function () {
        $('[data-additional-description]').each(function() {
            $(this).after( '<p class="description">' + $(this).data('additional-description') + '</p>' );
        });

        $('[data-description]').each(function() {
            $(this).after( '<p class="description">' + $(this).data('description') + '</p>' );
        });
    }

    tooltip_and_description();
	
	var toggle_mode = function(){
		if( $('#woocommerce_truevo_gateway_testmode').val() === 'yes' ) {
			$('#woocommerce_truevo_gateway_test_merchant_id, #woocommerce_truevo_gateway_test_terminal_id,  #woocommerce_truevo_gateway_test_token_authorization').closest('[valign="top"]').show('slow');
		    $('#woocommerce_truevo_gateway_live_merchant_id, #woocommerce_truevo_gateway_live_terminal_id, #woocommerce_truevo_gateway_token_authorization').closest('[valign="top"]').hide();
            
		} else {
		    $('#woocommerce_truevo_gateway_test_merchant_id, #woocommerce_truevo_gateway_test_terminal_id, #woocommerce_truevo_gateway_test_token_authorization').closest('[valign="top"]').hide();
            $('#woocommerce_truevo_gateway_live_merchant_id, #woocommerce_truevo_gateway_live_terminal_id, #woocommerce_truevo_gateway_token_authorization').closest('[valign="top"]').show('slow');
        }
    }; 

    toggle_mode();

    $(document).on('click', '#woocommerce_truevo_gateway_testmode', function () {
        toggle_mode();
    });

    $(document).on('click', '.reverse-items', function () {
        var order_id = $(this).attr('data-order_id');
        if (window.confirm(woocommerce_admin_meta_boxes.i18n_do_refund)) {
            $.ajax({
                type: "post",
                url: ajaxurl,
                data: {
                    action: "truevo_gateway_reverse_items",
                    order_id: order_id,
                    security: truevo_ajax_object.security
                },
                success: function (response) {

                    if (response.success) {
                        location.reload();
                    } else {
                        alert(response.data);
                    }
                }
            });
        }
    });

});


